Skip to main content
Version: API v1

Vertragskonfiguration - Liefert eine bestimmte Vertrags-Konfiguration

GET/v1/gdpr/contract-presets/{contractPresetIdentifier}
API version
v1
Request method
GET
Operation ID
getGDPRContractPreset

Liefert eine bestimmte Vertrags-Konfiguration des Kunden

Request​

  • contractPresetIdentifierstring
    required

    Die ID der Vertrags-Konfiguration

Responses​

Format
application/json
Description

Die gewünschte Vertrags-Konfiguration

  • namestring
    required
  • descriptionstring
  • configobject
    • creationDatestring (datetime)

      Das Erstelldatum im UTC Format

    Content-Type: application/json

    {
    "name": "string",
    "description": "string",
    "config": {},
    "creationDate": "string"
    }
    {
    "title": "GDPRContractPreset",
    "required": [
    "name"
    ],
    "type": "object",
    "properties": {
    "name": {
    "type": "string"
    },
    "description": {
    "type": "string"
    },
    "config": {
    "type": "object",
    "properties": {}
    },
    "creationDate": {
    "type": "string",
    "description": "Das Erstelldatum im UTC Format",
    "format": "datetime"
    }
    }
    }

    Usage examples​

    $ curl \
    --fail \
    --location \
    -H "Authorization: Bearer $MITTWALD_API_TOKEN" \
    https://api.mittwald.de/v1/gdpr/contract-presets/string

    On this page